| FlatBuffers An open source project by FPL.

Static Public Member Functions | List of all members
com.google.flatbuffers.ByteBufferUtil Class Reference
Flatbuffers_java_api

Class that collects utility functions around `ByteBuffer`. More...

## Detailed Description

Class that collects utility functions around `ByteBuffer`.

## Static Public Member Functions
static int | getSizePrefix (ByteBuffer bb)
| Extract the size prefix from a `ByteBuffer`. More...
static ByteBuffer | removeSizePrefix (ByteBuffer bb)
| Create a duplicate of a size-prefixed `ByteBuffer` that has its position advanced just past the size prefix. More...

## Member Function Documentation

## ◆ getSizePrefix()

static int com.google.flatbuffers.ByteBufferUtil.getSizePrefix | ( | ByteBuffer | bb | ) |
| inline static

Extract the size prefix from a `ByteBuffer`.

Parameters

  bb | a size-prefixed buffer

Returns
  the size prefix

## ◆ removeSizePrefix()

static ByteBuffer com.google.flatbuffers.ByteBufferUtil.removeSizePrefix | ( | ByteBuffer | bb | ) |
| inline static

Create a duplicate of a size-prefixed `ByteBuffer` that has its position advanced just past the size prefix.

Parameters

  bb | a size-prefixed buffer

Returns
  a new buffer on the same underlying data that has skipped the size prefix

The documentation for this class was generated from the following file:

- ByteBufferUtil.java